package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class TgenetransactionlogDTO implements Serializable {

    private static final long serialVersionUID = 582189145301423L;

    private String journalid;

    private String transactionmodule;

    private Integer transactioncode;

    private Integer transactionversion;

    private java.util.Date accountingdate;

    private String server;

    private java.util.Date realdate;

    private Long companycode;

    private Short branchcode;

    private Short officecode;

    private String terminalcode;

    private String usercode;

    private Integer duration;

    private String resultcode;

    private String usermessage;

    private String account;

    private Long personcode;

    private String solicitudenumber;

    private String method;

    private String aditionaldata;

    private String operativsystem;

    private String browser;

        public String getJournalid() {
    return journalid;
    }

        public void setJournalid(String journalid) {
    this.journalid = journalid;
    }

        public String getTransactionmodule() {
    return transactionmodule;
    }

        public void setTransactionmodule(String transactionmodule) {
    this.transactionmodule = transactionmodule;
    }

        public Integer getTransactioncode() {
    return transactioncode;
    }

        public void setTransactioncode(Integer transactioncode) {
    this.transactioncode = transactioncode;
    }

        public Integer getTransactionversion() {
    return transactionversion;
    }

        public void setTransactionversion(Integer transactionversion) {
    this.transactionversion = transactionversion;
    }

        public java.util.Date getAccountingdate() {
    return accountingdate;
    }

        public void setAccountingdate(java.util.Date accountingdate) {
    this.accountingdate = accountingdate;
    }

        public String getServer() {
    return server;
    }

        public void setServer(String server) {
    this.server = server;
    }

        public java.util.Date getRealdate() {
    return realdate;
    }

        public void setRealdate(java.util.Date realdate) {
    this.realdate = realdate;
    }

        public Long getCompanycode() {
    return companycode;
    }

        public void setCompanycode(Long companycode) {
    this.companycode = companycode;
    }

        public Short getBranchcode() {
    return branchcode;
    }

        public void setBranchcode(Short branchcode) {
    this.branchcode = branchcode;
    }

        public Short getOfficecode() {
    return officecode;
    }

        public void setOfficecode(Short officecode) {
    this.officecode = officecode;
    }

        public String getTerminalcode() {
    return terminalcode;
    }

        public void setTerminalcode(String terminalcode) {
    this.terminalcode = terminalcode;
    }

        public String getUsercode() {
    return usercode;
    }

        public void setUsercode(String usercode) {
    this.usercode = usercode;
    }

        public Integer getDuration() {
    return duration;
    }

        public void setDuration(Integer duration) {
    this.duration = duration;
    }

        public String getResultcode() {
    return resultcode;
    }

        public void setResultcode(String resultcode) {
    this.resultcode = resultcode;
    }

        public String getUsermessage() {
    return usermessage;
    }

        public void setUsermessage(String usermessage) {
    this.usermessage = usermessage;
    }

        public String getAccount() {
    return account;
    }

        public void setAccount(String account) {
    this.account = account;
    }

        public Long getPersoncode() {
    return personcode;
    }

        public void setPersoncode(Long personcode) {
    this.personcode = personcode;
    }

        public String getSolicitudenumber() {
    return solicitudenumber;
    }

        public void setSolicitudenumber(String solicitudenumber) {
    this.solicitudenumber = solicitudenumber;
    }

        public String getMethod() {
    return method;
    }

        public void setMethod(String method) {
    this.method = method;
    }

        public String getAditionaldata() {
    return aditionaldata;
    }

        public void setAditionaldata(String aditionaldata) {
    this.aditionaldata = aditionaldata;
    }

        public String getOperativsystem() {
    return operativsystem;
    }

        public void setOperativsystem(String operativsystem) {
    this.operativsystem = operativsystem;
    }

        public String getBrowser() {
    return browser;
    }

        public void setBrowser(String browser) {
    this.browser = browser;
    }

}